Subject: RE: bug#9794: 24.0.90; `format-time-string' no good for %Z

From: "Drew Adams" <[email-masked]>
Date: Sat, 22 Oct 2011 09:17:40 -0700

> > I suggest format specifiers that let you alternatively do all 
> > of the following for the case of time zone names (i.e. "pretty"
> > names, not just %z numbers).
> > 
> > 1. Use only POSIX-compliant time-zone pretty names, which can 
> >    mean "" (empty - no available POSIX name).
> > 
> > 2. Use any available nonempty time-zone pretty names, with 
> >    priority to nonempty POSIX-compliant pretty names.
> > 
> > 3. Same as #2, but with priority to system-supplied names,
> >    even when a corresponding nonempty POSIX name is available.
> > 
> > 4. Use only nonempty POSIX-compliant pretty names, when 
> >    available, and fall back to what %z does in cases where the
> >    POSIX name is empty.
> > 
> > #2 and #3 would also fall back to %z when no nonempty name is 
> > available.
>
>...
> All the regressions were fixed, some by Paul in revision
> 106149, and the rest by revision 106162 I committed today.

Thanks to all for the fixes.

> My take on these options is that #3 is what you have after these last
> changes, #4 needs a simple test to decide whether to fall back to %z,
> and the rest are impractical, because there's no good way of mapping
> an arbitrary (possibly non-ASCII) string returned by Windows to the 1-
> or 3-letter zones from the short list allowed by RFC 822.

#3 was what I requested from the beginning, so I'm fine with that.

You fought #3 vehemently, defending #1 (which you now claim is "impractical"!),
but after 3 years you've apparently come 'round (to #3).  That's progress.  Thx
for the fix.